<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Университет</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id FROM domik WHERE strana ='$re1[strana]' and domik4='1'"));
if($sp[id]>0){
echo'</div><div class="knews">';
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="univer.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_4 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";
echo"Учёных(<b>$re2[bot]</b>)<br/>";
echo'<a href="univer.php?make=1&k=1&der='.$key.'">Обучить</a><br/>';
echo'<a href="univer.php?make=1&k=3&der='.$key.'">Уволить</a><br/>';
echo'------<br/><a href="../game.php?make=8&s=5&der='.$key.'">Построить Научный центр</a><br/>';
break;
case 1:
$sp=mysql_fetch_array(qw("SELECT * FROM botan WHERE strana ='$re1[strana]'"));
$u1=time();$u2=$sp[time]-$u1;
if($sp[data]>$u2){
$sec = $u2;
$min = floor($sec/60);$sec-=$min*60;
echo"{Идёт обучение}(<b>$min м. $sec c.</b>)<br/>";
}else{

if($_GET[k]==1){
echo"<FORM ACTION='univer.php?make=1&k=2&der=$key' METHOD='POST'>";?>
Рабочие :<br/><input type="text" name="rab" maxlength="10" value="<?=$re2[rab];?>" size="10"/><br/>
Учёные:<br/><input type="text" name="bot" maxlength="10" value="<?=$re2[bot];?>" size="10"/><br/>
<INPUT TYPE='submit'VALUE='Обучить'></FORM><br/><?
}
if($_GET[k]==2){
$e1=zif($_POST[rab]);$e2=zif($_POST[bot]);
if($re2[rab]>=$e1 and $re2[bot]>=$e2){
$den=5*$e1;$kam=5*$e1;
if($re2[dengi]>=$den and $re2[kamen]>=$kam){
$ty=round(($e1*1200)/$e2);$yt=round($ty/60);$tim1=time();$tim2=$tim1+$ty;
echo"Обучение займёт $yt минут,<br/>Стоимость :Деньги ($den),Камень ($kam)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Обучение займёт $yt минут(учёные)($e1)')");
qw("INSERT INTO botan (strana,rab,bot,data,time) VALUES('$re1[strana]','$e1','$e2','$ty','$tim2')");
qw("UPDATE gos2 SET rab=rab-'$e1',bot=bot-'$e2',dengi=dengi-'$kam',kamen=kamen-'$kam' WHERE strana='$re1[strana]'");
}else{
echo"Не хватает ресурсов,нужно :<br/>Деньги ($den),Камень ($kam)<br/>";
}
}else{
echo"Нет столько рабочих или учёных!<br/>";
}
}
if($_GET[k]==3){
if($re2[bot]>0){
echo"<FORM ACTION='univer.php?make=1&k=4&der=$key' METHOD='POST'>";?>
<?if($re2[bot]>0){?>Учёные:<br/><input type="text" name="bot" maxlength="10" value="<?=$re2[bot];?>" size="10"/><br/><?}?>
<INPUT TYPE='submit'VALUE='Уволить'></FORM><br/><?
}else{echo"Нет свободных учёных<br/>";}
}
if($_GET[k]==4){
if($re2[bot]>0){
$bot=zif($_POST[bot]);
if($re2[bot]>$bot){
$den=2*$bot;$kam=2*$bot;
/////////////////////////////////////////////////
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
////////////////////////////////////////////////
if($x>$kam){$x=$x-$kam;}else{$kam=$x;$x=0;}if($kam<0){$kam=0;}
qw("UPDATE gos2 SET rab=rab+'$bot',bot=bot-'$bot',dengi=dengi+'$den',kamen=kamen+'$kam' WHERE strana='$re1[strana]'");
echo"Учёные уволены,вы получили :<br/>деньги($den),камень($kam)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Учёные уволены,вы получили :<br/>деньги($den),камень($kam)')");
}else{echo"Нет столько учёных<br/>";}
}else{echo"Нет свободных учёных<br/>";}
}

}
break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_4 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='univer.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='univer.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='univer.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$re2[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$re2[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$re2[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$re2[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: univer.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[str]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[str]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_4 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: univer.php?make=oxp&der=$key");
}else{header("Location: univer.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='univer.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$ox[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$ox[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$ox[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$ox[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: univer.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[str]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_4 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: univer.php?make=oxp&der=$key");
}else{header("Location: univer.php?make=oxp&der=$key");}
}
}
break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>